curl -X POST https://zeplo.ai/api/team/members \
-H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw" \
-H "Content-Type: application/json" \
-d '{
"name": "Jane Agent",
"email": "jane@example.com",
"password": "SecurePass123!",
"permissions": ["inbox:view", "contacts:view"]
}'
{
"success": true,
"data": {
"id": 5,
"name": "Jane Agent",
"email": "jane@example.com",
"role": "team",
"status": "active",
"permissions": ["inbox:view", "contacts:view"],
"createdAt": "2026-01-15T12:00:00Z"
}
}
Teams
POST Create Team Member
Add a new team member to the workspace.
POST
/
api
/
team
/
members
curl -X POST https://zeplo.ai/api/team/members \
-H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw" \
-H "Content-Type: application/json" \
-d '{
"name": "Jane Agent",
"email": "jane@example.com",
"password": "SecurePass123!",
"permissions": ["inbox:view", "contacts:view"]
}'
{
"success": true,
"data": {
"id": 5,
"name": "Jane Agent",
"email": "jane@example.com",
"role": "team",
"status": "active",
"permissions": ["inbox:view", "contacts:view"],
"createdAt": "2026-01-15T12:00:00Z"
}
}
Create team member
POST /api/team/members
Add a new team member with specified role and permissions.
Headers
string
required
Session cookie (login via POST /api/auth/login)
curl -X POST https://zeplo.ai/api/team/members \
-H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw" \
-H "Content-Type: application/json" \
-d '{
"name": "Jane Agent",
"email": "jane@example.com",
"password": "SecurePass123!",
"permissions": ["inbox:view", "contacts:view"]
}'
Body parameters
string
required
Member display name.
string
required
Email address (used for login).
string
required
Initial password.
string
default:"team"
Member role.
string[]
Permission scopes.
{
"success": true,
"data": {
"id": 5,
"name": "Jane Agent",
"email": "jane@example.com",
"role": "team",
"status": "active",
"permissions": ["inbox:view", "contacts:view"],
"createdAt": "2026-01-15T12:00:00Z"
}
}
